Download it now!
Bug 138818 - Some imported tif images are being truncated and thereby corrupted
Summary: Some imported tif images are being truncated and thereby corrupted
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
7.0.0.3 release
Hardware: All All
: high critical
Assignee: Georgy
URL:
Whiteboard: target:7.2.0 target:7.1.0.2 target:7.0.5
Keywords: dataLoss
Depends on:
Blocks: Images-TIFF
  Show dependency treegraph
 
Reported: 2020-12-11 13:16 UTC by Georgy
Modified: 2020-12-27 14:54 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Image that gets truncated on import (45.34 KB, image/tiff)
2020-12-11 13:22 UTC, Georgy
Details
Truncated image example (44.87 KB, image/tiff)
2020-12-11 13:23 UTC, Georgy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Georgy 2020-12-11 13:16:30 UTC
Description:
TIF images are being truncated and corrupted after being imported to Draw or Writer. At the first sight it happens to TIF exported from Photoshop CS5 but does not happen to TIFs exported from Gimp.

Steps to Reproduce:
1. Create empty Writer document.
2. Insert tif file.
3. Save document.
4. Extract tif from ODT archive.
5. Compare imported tif with original 

Actual Results:
Imported tif is truncated.

Expected Results:
Tif could be opened by other image viewers, so it could be exported or processed by extensions without errors.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 7.0.3.1 (x64)
Build ID: d7547858d014d4cf69878db179d326fc3483e082
CPU threads: 7; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); ??: ru-RU
Calc: threaded
Comment 1 Georgy 2020-12-11 13:22:02 UTC
Created attachment 168055 [details]
Image that gets truncated on import
Comment 2 Georgy 2020-12-11 13:23:32 UTC
Created attachment 168056 [details]
Truncated image example
Comment 3 Commit Notification 2020-12-17 17:14:12 UTC
Georgy Litvinov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/475422a4368b22df0418a2120ab2dec5d3440892

tdf#138818 Import full TIFF file

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-12-18 05:53:21 UTC
Georgy Litvinov committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/faf245d0af5c9a6ae1e79349311945dacffdae7f

tdf#138818 Import full TIFF file

It will be available in 7.1.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-12-18 23:16:40 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4db61e4cb26a8bf739701876aa806479a61bb447

tdf#138818: libtest_filter_tiff: Add unittest

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-12-21 15:50:43 UTC
Georgy Litvinov committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/7057d3be756c90c2722366348d0517ebe2b5b5ce

tdf#138818 Import full TIFF file

It will be available in 7.0.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Roman Kuznetsov 2020-12-27 14:29:05 UTC
Georgy, is it fixed? If yes, then change status to RESOLVED FIXED, thanks.